%define upstream_name    Class-Proxy
%define upstream_version 0.01.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An object proxy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Listener)
BuildRequires: perl(Class::Maker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildArch: noarch

%description
Objects can be served by 'Class::Proxy'. In practice, any method call to
the proxy will be forwarded to the original object (victim). The purpose of
that is to alter method calls in a generic way. This can be used for

* *

  faking

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-3.mga4
+ Revision: 510046
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 364496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 shlomif <shlomif> 0.1.4-1.mga3
+ Revision: 324660
- imported package perl-Class-Proxy


* Sun Dec 02 2012 cpan2dist 0.01.04-1mga
- initial mageia release, generated with cpan2dist
